<?php
/** @var \Mageants\SimpleConfigurable\Block\Product\View\ChildData $block */
$child = $block->getScpChildProduct();

if ($child) { ?>
    <script type="text/javascript">
        window.isMageantsScpChild = true; 
        window.mageantsScpCurrentChild = <?= /* @noEscape */ $block->getSerializedChildOptionId($child) ?>;
    </script>
<?php } ?>
